# Class: YARD::Server::Commands::LibraryOptions

Inherits:
  CLI::YardocOptions
  - Object
  - Options
  - Templates::TemplateOptions
  - CLI::YardocOptions
  - YARD::Server::Commands::LibraryOptions
  show all

Defined in:
  lib/yard/server/commands/library_command.rb

## Overview

Since:

- 0.6.0

## Instance Attribute Summary collapse

- #command ⇒ Object
- #frames ⇒ Object

## Instance Method Summary collapse

- #adapter ⇒ Object
- #each {|:adapter, adapter| ... } ⇒ Object
- #library ⇒ Object
- #serialize ⇒ Object
- #serializer ⇒ Object
- #single_library ⇒ Object

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::Options

## Instance Attribute Details

### #command ⇒ `Object`

Since:

- 0.6.0

    14
    15
    16

    # File 'lib/yard/server/commands/library_command.rb', line 14

    def command
      @command
    end

### #frames ⇒ `Object`

Since:

- 0.6.0

    15
    16
    17

    # File 'lib/yard/server/commands/library_command.rb', line 15

    def frames
      @frames
    end

## Instance Method Details

### #adapter ⇒ `Object`

Since:

- 0.6.0

    8

    # File 'lib/yard/server/commands/library_command.rb', line 8

    def adapter; @command.adapter end

### #each {|:adapter, adapter| ... } ⇒ `Object`

Yields:

- (`:adapter`, `adapter`)

Since:

- 0.6.0

    17
    18
    19
    20
    21
    22
    23

    # File 'lib/yard/server/commands/library_command.rb', line 17

    def each(&block)
      super(&block)
      yield(:adapter, adapter)
      yield(:library, library)
      yield(:single_library, single_library)
      yield(:serializer, serializer)
    end

### #library ⇒ `Object`

Since:

- 0.6.0

    9

    # File 'lib/yard/server/commands/library_command.rb', line 9

    def library; @command.library end

### #serialize ⇒ `Object`

Since:

- 0.6.0

    12

    # File 'lib/yard/server/commands/library_command.rb', line 12

    def serialize; false end

### #serializer ⇒ `Object`

Since:

- 0.6.0

    11

    # File 'lib/yard/server/commands/library_command.rb', line 11

    def serializer; @command.serializer end

### #single_library ⇒ `Object`

Since:

- 0.6.0

    10

    # File 'lib/yard/server/commands/library_command.rb', line 10

    def single_library; @command.single_library end